package com.knecon.fforesight.service.viewerdoc.layers;

import java.awt.Color;
import java.util.List;

import com.knecon.fforesight.service.viewerdoc.LayerIdentifier;
import com.knecon.fforesight.service.viewerdoc.model.Visualizations;

import lombok.Getter;

public class OcrDebugLayerConfig extends AbstractLayerGroup {

    @Getter
    public final LayerIdentifier groupIdentifier = LayerIdentifier.KNECON_OCR_DEBUG;

    public static final LayerGroup CONFIG_INSTANCE = new OcrDebugLayerConfig();

    protected static final Color REGULAR_COLOR = new Color(6, 39, 171);
    protected static final Color BOLD_COLOR = new Color(50, 246, 246);
    protected static final Color ITALIC_COLOR = new Color(171, 105, 6);
    protected static final Color BOLD_ITALIC_COLOR = new Color(6, 171, 102);
    protected static final Color HANDWRITTEN_COLOR = new Color(171, 64, 6);
    protected static final Color OVERLAPPED_COLOR = new Color(142, 8, 8);
    protected static final Color TABLE_LINES_COLOR = new Color(21, 221, 174);

    protected final Visualizations debugText = Visualizations.builder().layer(LayerIdentifier.KNECON_OCR_TEXT_DEBUG).visibleByDefault(true).build();
    protected final Visualizations tableLines = Visualizations.builder().layer(LayerIdentifier.KNECON_OCR_LINE_DEBUG).visibleByDefault(true).build();
    protected final Visualizations overlappedText = Visualizations.builder().layer(LayerIdentifier.KNECON_OCR_OVERLAPPED_TEXT).visibleByDefault(false).build();
    protected final Visualizations debugBBox = Visualizations.builder().layer(LayerIdentifier.KNECON_OCR_BBOX_DEBUG).visibleByDefault(false).build();


    @Override
    public List<Visualizations> getVisualizations() {

        return List.of(debugText, tableLines, debugBBox, overlappedText);
    }

}
